clan::DisplayWindowSite Class Reference - ClanLib SDK
Description: clan::DisplayWindowSite Class Reference

Public Attributes | List of all members
clan::DisplayWindowSite Class Reference
clanDisplay Display

Display Window site. More...

`#include <display_window_provider.h>`

## Public Attributes
std::function< bool()> | func_minimize_clicked
| Minimize button is clicked callback function.
std::function< void(Rectf &)> | func_window_resize
| Window resize callback function.
Signal< void()> | sig_got_focus
| Obtained focus signal.
Signal< void()> | sig_lost_focus
| Lost focus signal.
Signal< void()> | sig_paint
| Paint signal.
Signal< void(float, float)> | sig_resize
| Resize signal.
Signal< void()> | sig_window_close
| Window close signal.
Signal< void()> | sig_window_destroy
| Window destroy signal.
Signal< void()> | sig_window_maximized
| Window maximized signal.
Signal< void()> | sig_window_minimized
| Window minimized signal.
Signal< void()> | sig_window_moved
| Window moved signal.
Signal< void()> | sig_window_restored
| Window restored signal.

## Detailed Description

Display Window site.

## Member Data Documentation

## ◆ func_minimize_clicked

std::function<bool()> clan::DisplayWindowSite::func_minimize_clicked

Minimize button is clicked callback function.

## ◆ func_window_resize

std::function<void(Rectf &)> clan::DisplayWindowSite::func_window_resize

Window resize callback function.

## ◆ sig_got_focus

Signal<void()> clan::DisplayWindowSite::sig_got_focus

Obtained focus signal.

## ◆ sig_lost_focus

Signal<void()> clan::DisplayWindowSite::sig_lost_focus

Lost focus signal.

## ◆ sig_paint

Signal<void()> clan::DisplayWindowSite::sig_paint

Paint signal.

## ◆ sig_resize

Signal<void(float, float)> clan::DisplayWindowSite::sig_resize

Resize signal.

## ◆ sig_window_close

Signal<void()> clan::DisplayWindowSite::sig_window_close

Window close signal.

## ◆ sig_window_destroy

Signal<void()> clan::DisplayWindowSite::sig_window_destroy

Window destroy signal.

## ◆ sig_window_maximized

Signal<void()> clan::DisplayWindowSite::sig_window_maximized

Window maximized signal.

## ◆ sig_window_minimized

Signal<void()> clan::DisplayWindowSite::sig_window_minimized

Window minimized signal.

## ◆ sig_window_moved

Signal<void()> clan::DisplayWindowSite::sig_window_moved

Window moved signal.

## ◆ sig_window_restored

Signal<void()> clan::DisplayWindowSite::sig_window_restored

Window restored signal.

The documentation for this class was generated from the following file:

- display_window_provider.h